Subject: RE: which naming attribute ...

From: "Skovgaard, Erik" <[email-masked]>
Date: Wed, 11 Oct 2000 14:29:41 -0700

Bruce,

The aliasedObjectName should contain the DN of the entry to which the alias
points.  The naming of the alias itself is a different story.  The usual way
to define an alias-type entry is to derive an Object Class from alias and
specify the naming attribute as MUST.  For instance, I could create an
Object Class of aliasedOrgUnit where I make the organizationalUnit name
mandatory. 

As a matter of interest, aliasedObjectName does not exist in X.500.  It is
called aliasedEntryName.  I am not sure if this is an oversight or
deliberate change.  The correct term for a node in the DIT is 'entry', not
object.

Cheers,                           ....Erik.

-----Original Message-----
From: Bruce Greenblatt [mailto:[email-masked]]
Sent: Wednesday, October 11, 2000 12:09
To: sanjay jain
Cc: ldapext
Subject: Re: which naming attribute ...

Sanjay,

As I recall, in Novell's implementation (the Novell guys can correct me if 
I'm misremembering),  NDS enforces the naming rules mandated by the base 
class of the object the Alias points to.  So, if the alias points to a user 
object, you could use the cn attribute as a naming attribute.  Similarly, 
if the alias points to an organizationalUnit object, you could use the ou 
attribute as a naming attribute.  This behaviour is unique to Novell's 
implementation.  In other implementations, you should use the 
aliasedObjectName as the naming attribute.

Bruce

==============================================
Bruce Greenblatt, Ph. D.
Directory Tools and Application Services, Inc.
http://www.directory-applications.com
See my new Book on Internet Directories: 
http://www.phptr.com/ptrbooks/ptr_0139744525.html

---

From: "David Chadwick" <[email-masked]>
Date: Sat, 21 Oct 2000 16:08:21 +0100

> As a matter of interest, aliasedObjectName does not exist in X.500. 
> It is called aliasedEntryName.  I am not sure if this is an oversight
> or deliberate change.  The correct term for a node in the DIT is
> 'entry', not object.

It was called aliasedObjectName in the 1988 standard and changed 
to aliasedEntryName in the 93 standard.

David

> Sent: Wednesday, October 11, 2000 12:09 To: sanjay jain Cc: ldapext
> As I recall, in Novell's implementation (the Novell guys can correct
> me if I'm misremembering),  NDS enforces the naming rules mandated by
> the base class of the object the Alias points to.  So, if the alias
> points to a user object, you could use the cn attribute as a naming
> attribute.  Similarly, if the alias points to an organizationalUnit
> object, you could use the ou attribute as a naming attribute.  This
> behaviour is unique to Novell's implementation.  In other
> implementations, you should use the aliasedObjectName as the naming
> attribute.
> 
> Bruce
> 
> 
> 

***************************************************

David Chadwick
IS Institute, University of Salford, Salford M5 4WT
Tel +44 161 295 5351  Fax +44 161 745 8169
Mobile +44 790 167 0359
Email [email-masked]
Home Page  http://www.salford.ac.uk/its024/chadwick.htm
Understanding X.500  http://www.salford.ac.uk/its024/X500.htm
X.500/LDAP Seminars http://www.salford.ac.uk/its024/seminars.htm
Entrust key validation string MLJ9-DU5T-HV8J

***************************************************